Version 1.37.0
Third Party API (v 1.37.0)
What's New
POST /api/business/{businessId}/branch/{branchId}/service/{serviceId}/addon/{addonServiceId}
POST /api/business/{businessId}/branch/{branchId}/service/{serviceId}/addon/{addonServiceId}Link an add-on service to a branch service
DELETE /api/business/{businessId}/branch/{branchId}/service/{serviceId}/addon/{addonServiceId}
DELETE /api/business/{businessId}/branch/{branchId}/service/{serviceId}/addon/{addonServiceId}Unlink an add-on service from a branch service
What's Changed
GET /api/business/{businessId}/branch/{branchId}/service/{serviceId}
GET /api/business/{businessId}/branch/{branchId}/service/{serviceId}Parameters:
Added: fetch_addon_services in query
include add-on service IDs for this service
Return Type:
Changed response : 200 OK
Specified branch service retrieved
-
Changed content type :
application/json-
Added property
addonServiceIds(array)IDs of add-on services linked to this service. Populated when fetch_addon_services=true is requested on GET endpoints, and always present on link/unlink responses.
Items (string):
IDs of add-on services linked to this service. Populated when fetch_addon_services=true is requested on GET endpoints, and always present on link/unlink responses.
-
Added property
isAddonOnly(boolean)Whether this service can only be used as an add-on and cannot be booked standalone. When false, the service can be booked standalone or added on to another service.
-
GET /api/business/{businessId}/branch/{branchId}/service
GET /api/business/{businessId}/branch/{branchId}/serviceParameters:
Added: fetch_addon_services in query
include add-on service IDs for each service
Added: service_type in query
filter services by type. Allowed values:
services_only(default — excludes add-on-only services),addons_only(only add-on services),services_and_addons(all services)
Return Type:
Changed response : 200 OK
Branch services listed
-
Changed content type :
application/json-
Changed property
_embedded(object)-
Changed property
services(array)Changed items (object):
-
Added property
addonServiceIds(array)IDs of add-on services linked to this service. Populated when fetch_addon_services=true is requested on GET endpoints, and always present on link/unlink responses.
-
Added property
isAddonOnly(boolean)Whether this service can only be used as an add-on and cannot be booked standalone. When false, the service can be booked standalone or added on to another service.
-
-
-
Result
API changes are backward compatible
